Orders
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Respostas
200
OK
application/json
banner_idstringOpcional
order_table_idstringOpcional
order_table_database_idstringOpcional
404
Portal was not found
application/json
500
An internal server error was thrown
application/json
get/portals/sellers/orders
GET /api/b2b/portals/sellers/orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"banner_id": "text",
"order_table_id": "text",
"order_table_database_id": "text",
"details": {
"order_information_title": "text",
"order_delivery_title": "text",
"order_payment_title": "text",
"order_summary_title": "text",
"order_item_table_id": "text",
"order_item_table_database_id": "text",
"order_payment_table_id": "text",
"order_payment_table_database_id": "text",
"order_resume_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
],
"order_information_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
],
"order_delivery_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
],
"order_payment_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
]
}
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
banner_idstringOpcional
order_table_idstringOpcional
Respostas
200
OK
application/json
banner_idstringOpcional
order_table_idstringOpcional
order_table_database_idstringOpcional
404
Portal was not found
application/json
500
An internal server error was thrown
application/json
put/portals/sellers/orders
PUT /api/b2b/portals/sellers/orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 906
{
"banner_id": "text",
"order_table_id": "text",
"details": {
"order_information_title": "text",
"order_delivery_title": "text",
"order_payment_title": "text",
"order_summary_title": "text",
"order_item_table_id": "text",
"order_payment_table_id": "text",
"order_resume_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "CHECKLIST",
"field_mask": "DATE"
}
],
"order_information_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "CHECKLIST",
"field_mask": "DATE"
}
],
"order_delivery_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "CHECKLIST",
"field_mask": "DATE"
}
],
"order_payment_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "CHECKLIST",
"field_mask": "DATE"
}
]
}
}{
"banner_id": "text",
"order_table_id": "text",
"order_table_database_id": "text",
"details": {
"order_information_title": "text",
"order_delivery_title": "text",
"order_payment_title": "text",
"order_summary_title": "text",
"order_item_table_id": "text",
"order_item_table_database_id": "text",
"order_payment_table_id": "text",
"order_payment_table_database_id": "text",
"order_resume_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
],
"order_information_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
],
"order_delivery_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
],
"order_payment_fields": [
{
"id": "text",
"order": 1,
"database_field_id": "text",
"table_field_id": "text",
"field_title": "text",
"field_icon": "text",
"field_mask": "text"
}
]
}
}